//ServoMotors with bump and speaker

#include <Servo.h> 
Servo myservo;  // create servo object to control a servo 
Servo myservo2;  // create servo object to control a servo 
const int BumpSensor = 11; //to bump sensor on front
const int LED = 9;   //GCDuino Built-in LED
const int BumpedLED = 13;
#define Piezo 10

//int Max_Speed = 250;  // 0 = Stopped, 250 = Fast

void setup()
{
  myservo.attach(5);  // attaches the servo on pin 9 to the servo object 
  myservo2.attach(6);  // attaches the servo on pin 9 to the servo object 
  pinMode(LED, OUTPUT);
  pinMode(BumpedLED, OUTPUT);
  digitalWrite(LED, HIGH);  //Turns LED On to let you know Code is running
  pinMode(BumpSensor, INPUT);
  pinMode(Piezo, OUTPUT);
  digitalWrite(BumpedLED, LOW);
}

void loop()
{
  if (digitalRead(BumpSensor) == LOW){ // Check to see if I got bumped
    myservo2.write(78);              // tell servo to go to position in variable 'pos' 
    myservo.write(80);              // tell servo to go to position in variable 'pos' 
    digitalWrite(BumpedLED, HIGH);      // light up the bumped LED
    digitalWrite(LED, HIGH);
        analogWrite(Piezo, 30);      // Almost any value can be used except 0 and 255
        delay(100);                  // wait for a delayms ms
        analogWrite(Piezo, 80);      // 0 turns it off
        delay(100);                  // wait for a delayms ms
        analogWrite(Piezo, 250);     // Almost any value can be used except 0 and 255
        delay(100);                  // wait for a delayms ms
        analogWrite(Piezo, 80);      // Almost any value can be used except 0 and 255
        delay(100);                  // wait for a delayms ms
        analogWrite(Piezo, 30);      // Almost any value can be used except 0 and 255
        delay(100);                  // wait for a delayms ms
        analogWrite(Piezo, 0);       // 0 turns it off
        delay(100);                  // wait for a delayms ms
    digitalWrite(LED, LOW);
    digitalWrite(BumpedLED, LOW);
    delay(200);
    myservo2.write(90);              // tell servo to go to position in variable 'pos' 
    delay(1200);
    myservo2.write(78);              // tell servo to go to position in variable 'pos' 
    delay(100);
    myservo2.write(60);              // tell servo to go to position in variable 'pos' 
    myservo.write(90);              // tell servo to go to position in variable 'pos' 
    delay(200);  
    }
    else{      //if no bumping go straight forward
      myservo2.write(60);              // tell servo to go to position in variable 'pos' 
      myservo.write(90);              // tell servo to go to position in variable 'pos' 
    delay(20);
    digitalWrite(LED, HIGH); //blink the onboard LED to show program activity
    delay(10);
    digitalWrite(LED, LOW);
    delay(10);
    }
}

